Subject: Re: bug#17300: fails to build due to defsetf, cl-define-compiler-macro in cl-macs.el (structures)

From: Ivan Shmakov <[email-masked]>
Date: Sun, 20 Apr 2014 17:32:40 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Sun, 20 Apr 2014 16:37:26 +0000

 >> As an aside, I’d gladly be performing all my builds in a clean build
 >> directory, provided that the build system employed by Emacs would
 >> /not/ insist on cluttering $(srcdir).  (As in: with .elc.)

 > I, on the contrary, find a clean build to be a waste of time, and try
 > to avoid it as much as possible.

	That’s why it’s generally possible to reuse build directories
	whether building in or out of $(srcdir).

	Unfortunately, and unlike the majority of the GNU software I’ve
	dealt with, Emacs does not currently allow the user to choose:
	$(srcdir) gets changed irrespective of the use of a separate
	build directory.

	Which makes me wonder if there’s a respective bug somewhere on
	the BTS, or if I should file one myself?

 > There's nothing "unclean" about compiling just the files that were
 > changed since the last update.

	Except that it’s known to break builds if the dependencies are
	incomplete or became broken themselves.

-- 
FSF associate member #7257